[plugin] MyAllArchive

13»

Réponses

  • StéphaneStéphane Member, PluXml Former Project Manager
    ## Version 1.8 (29/03/2017) ##
    [+] Compatibilité PluXml 5.6
    [+] Compatibilité avec le plugin plxMyMultiLingue
    [+] Ajout de l'id static-archives
    BUG Surbrillance du menu de la page statique

    Consultant PluXml

    Ancien responsable du projet (2010 à 2018)

  • StéphaneStéphane Member, PluXml Former Project Manager
    ## Version 1.8.1 (10/04/2017) ##
    BUG tableau PLX_MYMULTILINGUE non géré avec php 5.x+
    BUG Suppression fichier update impossible (droit fichier)

    Consultant PluXml

    Ancien responsable du projet (2010 à 2018)

  • cpalocpalo Member
    octobre 2018 modifié
    Bonjour
    J'utilise la version de developpement de pluxml (5.7)
    J'ai installe le plugin.. pas de pb .. il fonctionne sauf un bug:
    lorsque dans le menu archives de la sidebar, il y a la liste par mois de l'année en cours puis les années précédentes.

    Lorsque je clique sur un lien avec un mois (par exemple octobre 2018) : aucun pb

    Par contre si je clique sur un lien avec une année ( exemple année 2018), j'ai alors le bug avec l'affichage d'un message d'erreur :
    Warning: array_key_exists(): The first argument should be either a string or an integer in E:\htdocs\myPluXml\core\lib\class.plx.date.php on line 77
    
  • SudwebdesignSudwebdesign Member
    octobre 2018 modifié
    cpalo a écrit:
    Bonjour
    J'utilise la version de developpement de pluxml (5.7)
    J'ai installe le plugin.. pas de pb .. il fonctionne sauf un bug:
    lorsque dans le menu archives de la sidebar, il y a la liste par mois de l'année en cours puis les années précédentes.

    Lorsque je clique sur un lien avec un mois (par exemple octobre 2018) : aucun pb

    Par contre si je clique sur un lien avec une année ( exemple année 2018), j'ai alors le bug avec l'affichage d'un message d'erreur :
    Warning: array_key_exists(): The first argument should be either a string or an integer in E:\htdocs\myPluXml\core\lib\class.plx.date.php on line 77
    

    En fait ce n'est pas un bogue de MyAllArchives mais de la classe date de PluXml (dev) (ou ailleurs)
    Il est possible que tu parle de la partie publique, si c'est le cas c'est interne a PluXml.

    Remplacer la ligne 77 du fichier core\lib\class.plx.date.php par celle-ci pour corriger ce warning :)
    [== PHP ==]
    		if($value and array_key_exists($key, $names) and array_key_exists($value, $names[$key]))
    
    [édit]
    OU plus performant écrire a la ligne 22 du fichier core\lib\class.plx.date.php
    [== PHP ==]
    		if(!$value) return false;
    

    La variable $value est a faux lors de la consultation des archives d'une année (alors qu'on attend une chaine de caractère)
    voir le patch sur https://github.com/pluxml/PluXml/pull/303

    Ps: le plugin tourne très bien :)

    Notre temps est la seule monnaie vraie ;)

    Site, Dépôt, framagit, MyShop, Factux

  • Bonsoir

    Avec le rajout (ligne22) ça roule!
    Merci
Connectez-vous ou Inscrivez-vous pour répondre.